<!DOCTYPE html>
<html>
    <head>
        <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/css/materialize.min.css"><link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">
        <link rel="stylesheet" href="style.css">
        <meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
        <title>Dashboard</title>
    </head>

    <body>
        <nav class="nav-extended blue-grey darken-1" style="height: 48px">
            <div class="nav-wrapper">
                <a href="#" class="brand-logo" style="margin-top: -8px;left: 80px">Dashboard</a>
                <div class="nav-content right bottom">
                    <ul class="tabs tabs-transparent">
                        <li class="tab"><a id="dashboardTab" href="#dashboard" style="margin-top: -4px"><i class="material-icons">dashboard</i></a></li>
                        <li class="tab"><a id="deviceTab" href="#devices" style="margin-top: -4px"><i class="material-icons">devices</i></a></li>
                        <li class="tab"><a href="#email" style="margin-top: -4px"><i class="material-icons">email</i></a></li>
                        <li class="tab"><a href="#contact" style="margin-top: -4px"><i class="material-icons">question_answer</i></a></li>
                        <li class="tab"><a href="#calendar" style="margin-top: -4px"><i class="material-icons">assignment</i></a></li>
                        <li class="tab"><a href="#feed" style="margin-top: -4px"><i class="material-icons">rss_feed</i></a></li>
                    </ul>
                </div>
            </div>
        </nav>

        <div id="dashboard" class="col s12">
            <div style="height: 30px" id="statusSpacerDiv"></div>
            <div class="container">
                <center>
                    <h1 style="font-size: 110px" id="clockTime">11:17</h1>
                    <h4 style="margin-top: -10px;" id="clockDate">2020-04-16</h4>
                </center>
            </div>
            <div id="status" class="blue-grey darken-1" style="visibility: visible;">
                <!-- Octoprint -->
                <div id="statusOctoprint">
                    <div class="row" style="width: 100%;">
                        <div class="col s2">
                            <i class="material-icons" style="color: white;font-size: 70px;margin-top: 25px;margin-left: 10px;">local_printshop</i>
                        </div>
                        <div class="col s10" style="color: white;">
                            <div style="height: 5px"></div>
                            <p>
                                File:   <span id="statusOctoprintFile">TT_Part Studio 1 - Part 1.gcode</span><br>
                                State: <span id="statusOctoprintState">Printing 14:57 remaining</span>
                            </p>
                            <div class="progress" style="height: 15px">
                                <div class="determinate" id="statusOctoprintCompletition" style="width: 70%"></div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    
        <div id="devices" class="col s12">
            <div style="height: 15px"></div>
            <div class="container">

                <div class="col s12 m8 offset-m2 l6 offset-l3">
                    <div class="card-panel grey lighten-5 z-depth-1">
                        <div class="row valign-wrapper">
                            <div class="col s2">
                                <p><i class="material-icons">router</i> pfSense</p>
                            </div>
                            <div class="col s10">
                                <table>
                                    <tr>
                                        <th>Public IP</th>
                                        <th>Upload</th>
                                        <th>Download</th>
                                    </tr>
                                    <tr>
                                        <td>151.248.165.168</td>
                                        <td>25 Mbit/s</td>
                                        <td>45 Mbit/s</td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col s12 m8 offset-m2 l6 offset-l3">
                    <div class="card-panel grey lighten-5 z-depth-1">
                        <div class="row valign-wrapper">
                            <div class="col s2">
                                <p><i class="material-icons">computer</i> Delta</p>
                            </div>
                            <div class="col s10">
                                <table>
                                    <tr>
                                        <th>CPU</th>
                                        <th>Memory</th>
                                        <th>Storage</th>
                                    </tr>
                                    <tr>
                                        <td id="workstationCPU">n/a</td>
                                        <td id="workstationMemory">n/a</td>
                                        <td id="workstationStorage">n/a</td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col s12 m8 offset-m2 l6 offset-l3">
                    <div class="card-panel grey lighten-5 z-depth-1">
                        <div class="row valign-wrapper">
                            <div class="col s2">
                                <p><i class="material-icons">dns</i> Axxiv</p>
                            </div>
                            <div class="col s10">
                                <table>
                                    <tr>
                                        <th>CPU</th>
                                        <th>Memory</th>
                                        <th>Storage</th>
                                        <th>Containers</th>
                                    </tr>
                                    <tr>
                                        <td id="axxivServerCPU">n/a</td>
                                        <td id="axxivServerMemory">n/a</td>
                                        <td id="axxivServerStorage">n/a</td>
                                        <td id="axxivServerDocker">n/a</td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col s12 m8 offset-m2 l6 offset-l3">
                    <div class="card-panel grey lighten-5 z-depth-1">
                        <div class="row valign-wrapper">
                            <div class="col s2">
                                <p><i class="material-icons">sd_card</i> FreeNAS</p>
                            </div>
                            <div class="col s10">
                                <table>
                                    <tr>
                                        <th>CPU</th>
                                        <th>Memory</th>
                                        <th>Storage</th>
                                    </tr>
                                    <tr>
                                        <td>80%</td>
                                        <td>56%</td>
                                        <td>8.6 TB / 12 TB</td>
                                    </tr>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>

        <div id="email" class="col s12">
            <div style="height: 15px"></div>
            <div class="container">
                TODO: check email api
            </div>
        </div>

        <div id="contact" class="col s12">
            <div style="height: 15px"></div>
            <div class="container">
                Page Content goes here
                Test 2
            </div>
        </div>

        <div id="calendar" class="col s12">
            <div style="height: 15px"></div>
            <div class="container">
                Page Content goes here
                Test 3
            </div>
        </div>

        <div id="feed" class="col s12">
            <div style="height: 15px"></div>
            <div class="container">

                <div class="col s12 m7" id="redditContent">
                    <!-- To be filled by JavaScript -->
                </div>
            </div>
        </div>

        <script src="variables.js"></script>
        <script src="https://cdnjs.cloudflare.com/ajax/libs/materialize/1.0.0/js/materialize.min.js"></script>
        <script src="https://not-an-aardvark.github.io/snoowrap/snoowrap-v1.min.js"></script>
        <script src="script.js"></script>
    </body>
</html>